Commit 2a886f5f authored by unknown's avatar unknown

Merge


sql/item_func.cc:
  Auto merged
sql/sql_lex.cc:
  Auto merged
storage/ndb/Makefile.am:
  Auto merged
tests/mysql_client_test.c:
  Auto merged
BUILD/compile-dist:
  SCCS merged
netware/Makefile.am:
  SCCS merged
netware/BUILD/compile-netware-END:
  SCCS merged
parents efec50a4 13d0f402
...@@ -6,7 +6,7 @@ ...@@ -6,7 +6,7 @@
# tree can then be picked up by "make dist" to create the "pristine source # tree can then be picked up by "make dist" to create the "pristine source
# package" that is used as the basis for all other binary builds. # package" that is used as the basis for all other binary builds.
# #
make distclean test -f Makefile && make distclean
(cd storage/bdb/dist && sh s_all) (cd storage/bdb/dist && sh s_all)
(cd storage/innobase && aclocal && autoheader && \ (cd storage/innobase && aclocal && autoheader && \
libtoolize --automake --force --copy && \ libtoolize --automake --force --copy && \
......
...@@ -290,7 +290,7 @@ our $opt_user_test; ...@@ -290,7 +290,7 @@ our $opt_user_test;
our $opt_valgrind= 0; our $opt_valgrind= 0;
our $opt_valgrind_mysqld= 0; our $opt_valgrind_mysqld= 0;
our $opt_valgrind_mysqltest= 0; our $opt_valgrind_mysqltest= 0;
our $opt_valgrind_all= 0; our $default_valgrind_options= "-v --show-reachable=yes";
our $opt_valgrind_options; our $opt_valgrind_options;
our $opt_valgrind_path; our $opt_valgrind_path;
...@@ -629,10 +629,9 @@ sub command_line_setup () { ...@@ -629,10 +629,9 @@ sub command_line_setup () {
# Coverage, profiling etc # Coverage, profiling etc
'gcov' => \$opt_gcov, 'gcov' => \$opt_gcov,
'gprof' => \$opt_gprof, 'gprof' => \$opt_gprof,
'valgrind' => \$opt_valgrind, 'valgrind|valgrind-all' => \$opt_valgrind,
'valgrind-mysqltest' => \$opt_valgrind_mysqltest, 'valgrind-mysqltest' => \$opt_valgrind_mysqltest,
'valgrind-mysqld' => \$opt_valgrind_mysqld, 'valgrind-mysqld' => \$opt_valgrind_mysqld,
'valgrind-all' => \$opt_valgrind_all,
'valgrind-options=s' => \$opt_valgrind_options, 'valgrind-options=s' => \$opt_valgrind_options,
'valgrind-path=s' => \$opt_valgrind_path, 'valgrind-path=s' => \$opt_valgrind_path,
...@@ -816,20 +815,32 @@ sub command_line_setup () { ...@@ -816,20 +815,32 @@ sub command_line_setup () {
} }
} }
# Turn on valgrinding of all executables if "valgrind" or "valgrind-all" # Check valgrind arguments
if ( $opt_valgrind or $opt_valgrind_all ) if ( $opt_valgrind or $opt_valgrind_path or defined $opt_valgrind_options)
{ {
mtr_report("Turning on valgrind for all executables"); mtr_report("Turning on valgrind for all executables");
$opt_valgrind= 1; $opt_valgrind= 1;
$opt_valgrind_mysqld= 1; $opt_valgrind_mysqld= 1;
$opt_valgrind_mysqltest= 1; $opt_valgrind_mysqltest= 1;
} }
elsif ( $opt_valgrind_mysqld or $opt_valgrind_mysqltest ) elsif ( $opt_valgrind_mysqld )
{ {
# If test's are run for a specific executable, turn on mtr_report("Turning on valgrind for mysqld(s) only");
# verbose and show-reachable
$opt_valgrind= 1; $opt_valgrind= 1;
$opt_valgrind_all= 1; }
elsif ( $opt_valgrind_mysqltest )
{
mtr_report("Turning on valgrind for mysqltest only");
$opt_valgrind= 1;
}
if ( $opt_valgrind )
{
# Set valgrind_options to default unless already defined
$opt_valgrind_options=$default_valgrind_options
unless defined $opt_valgrind_options;
mtr_report("Running valgrind with options \"$opt_valgrind_options\"");
} }
if ( ! $opt_testcase_timeout ) if ( ! $opt_testcase_timeout )
...@@ -3694,17 +3705,8 @@ sub valgrind_arguments { ...@@ -3694,17 +3705,8 @@ sub valgrind_arguments {
mtr_add_arg($args, "--suppressions=%s/valgrind.supp", $glob_mysql_test_dir) mtr_add_arg($args, "--suppressions=%s/valgrind.supp", $glob_mysql_test_dir)
if -f "$glob_mysql_test_dir/valgrind.supp"; if -f "$glob_mysql_test_dir/valgrind.supp";
if ( $opt_valgrind_all ) # Add valgrind options, can be overriden by user
{ mtr_add_arg($args, '%s', $_) for (split(' ', $opt_valgrind_options));
mtr_add_arg($args, "-v");
mtr_add_arg($args, "--show-reachable=yes");
}
if ( $opt_valgrind_options )
{
mtr_add_arg($args, '%s', $_) for (split(' ', $opt_valgrind_options));
}
mtr_add_arg($args, $$exe); mtr_add_arg($args, $$exe);
...@@ -3816,12 +3818,11 @@ Options for coverage, profiling etc ...@@ -3816,12 +3818,11 @@ Options for coverage, profiling etc
gcov FIXME gcov FIXME
gprof FIXME gprof FIXME
valgrind Run the "mysqltest" and "mysqld" executables using valgrind Run the "mysqltest" and "mysqld" executables using
valgrind valgrind with options($default_valgrind_options)
valgrind-all Same as "valgrind" but will also add "verbose" and valgrind-all Synonym for --valgrind
"--show-reachable" flags to valgrind
valgrind-mysqltest Run the "mysqltest" executable with valgrind valgrind-mysqltest Run the "mysqltest" executable with valgrind
valgrind-mysqld Run the "mysqld" executable with valgrind valgrind-mysqld Run the "mysqld" executable with valgrind
valgrind-options=ARGS Extra options to give valgrind valgrind-options=ARGS Options to give valgrind, replaces default options
valgrind-path=[EXE] Path to the valgrind executable valgrind-path=[EXE] Path to the valgrind executable
Misc options Misc options
......
...@@ -21,10 +21,6 @@ rm -rf Makefile.in.bk ...@@ -21,10 +21,6 @@ rm -rf Makefile.in.bk
# run auto tools # run auto tools
. $path/compile-AUTOTOOLS . $path/compile-AUTOTOOLS
# For NetWare there is no comp_err but comp_err.linux
sed -e "s/comp_err\$(EXEEXT)/comp_err.linux/g" extra/Makefile.am > extra/Makefile.am.$$
mv extra/Makefile.am.$$ extra/Makefile.am
# configure # configure
./configure $base_configs $extra_configs ./configure $base_configs $extra_configs
......
...@@ -31,7 +31,7 @@ netware_build_files = client/mysql.def client/mysqladmin.def \ ...@@ -31,7 +31,7 @@ netware_build_files = client/mysql.def client/mysqladmin.def \
client/mysqlshow.def client/mysqltest.def \ client/mysqlshow.def client/mysqltest.def \
client/mysqlslap.def \ client/mysqlslap.def \
sql/mysqld.def extra/mysql_waitpid.def \ sql/mysqld.def extra/mysql_waitpid.def \
extra/mysql_install.def extra/my_print_defaults.def \ extra/my_print_defaults.def \
extra/perror.def extra/replace.def \ extra/perror.def extra/replace.def \
extra/resolveip.def extra/comp_err.def \ extra/resolveip.def extra/comp_err.def \
extra/resolve_stack_dump.def \ extra/resolve_stack_dump.def \
...@@ -54,7 +54,7 @@ EXTRA_DIST= comp_err.def init_db.sql install_test_db.ncf \ ...@@ -54,7 +54,7 @@ EXTRA_DIST= comp_err.def init_db.sql install_test_db.ncf \
libmysqlmain.c my_manage.c my_manage.h \ libmysqlmain.c my_manage.c my_manage.h \
my_print_defaults.def myisam_ftdump.def myisamchk.def \ my_print_defaults.def myisam_ftdump.def myisamchk.def \
myisamlog.def myisampack.def mysql.def mysql.xdc \ myisamlog.def myisampack.def mysql.def mysql.xdc \
mysql_fix_privilege_tables.pl mysql_install.def \ mysql_fix_privilege_tables.pl \
mysql_install_db.c mysql_install_db.def \ mysql_install_db.c mysql_install_db.def \
mysql_secure_installation.pl mysql_test_run.c \ mysql_secure_installation.pl mysql_test_run.c \
mysql_test_run.def mysql_waitpid.def mysqladmin.def \ mysql_test_run.def mysql_waitpid.def mysqladmin.def \
......
#------------------------------------------------------------------------------
# My Print Defaults
#------------------------------------------------------------------------------
MODULE libc.nlm
COPYRIGHT "(c) 2003-2005 Novell, Inc. Portions (c) 2003 MySQL AB. All Rights Reserved."
DESCRIPTION "MySQL Install Tool"
VERSION 4, 0
XDCDATA ../netware/mysql.xdc
#DEBUG
#!/bin/sh #!/bin/sh
# Terminate loudly on error, we don't want partial package
set -e
trap "echo '*** script failed ***'" 0
# #
# Script to create a Windows src package # Script to create a Windows src package
# #
version=@VERSION@ version=@VERSION@
export version
CP="cp -p" CP="cp -p"
DEBUG=0 DEBUG=0
...@@ -74,7 +77,7 @@ show_usage() ...@@ -74,7 +77,7 @@ show_usage()
echo " --tmp Specify the temporary location" echo " --tmp Specify the temporary location"
echo " --suffix Suffix name for the package" echo " --suffix Suffix name for the package"
echo " --dirname Directory name to copy files (intermediate)" echo " --dirname Directory name to copy files (intermediate)"
echo " --silent Do not list verbosely files processed" echo " --silent Show no progress information"
echo " --tar Create tar.gz package" echo " --tar Create tar.gz package"
echo " --zip Create zip package" echo " --zip Create zip package"
echo " --help Show this help message" echo " --help Show this help message"
...@@ -140,10 +143,11 @@ unix_to_dos() ...@@ -140,10 +143,11 @@ unix_to_dos()
# Create a tmp dest directory to copy files # Create a tmp dest directory to copy files
# #
BASE=$TMP/my_win_dist$SUFFIX BASE=$TMP/my_win_dist$SUFFIX.$$
trap "rm -r -f $BASE; echo '*** interrupted ***'; exit 1" 1 2 3 13 15
if [ -d $BASE ] ; then if [ -d $BASE ] ; then
print_debug "Destination directory '$BASE' already exists, deleting it" echo "WARNING: Destination directory '$BASE' already exists, deleting it"
rm -r -f $BASE rm -r -f $BASE
fi fi
...@@ -199,7 +203,7 @@ copy_dir_files() ...@@ -199,7 +203,7 @@ copy_dir_files()
print_debug "Creating directory '$arg'" print_debug "Creating directory '$arg'"
mkdir $BASE/$arg mkdir $BASE/$arg
fi fi
for i in *.c *.cpp *.h *.ih *.i *.ic *.asm *.def *.hpp \ for i in *.c *.cpp *.h *.ih *.i *.ic *.asm *.def *.hpp *.yy \
README INSTALL* LICENSE AUTHORS NEWS ChangeLog \ README INSTALL* LICENSE AUTHORS NEWS ChangeLog \
*.inc *.test *.result *.pem Moscow_leap des_key_file \ *.inc *.test *.result *.pem Moscow_leap des_key_file \
*.vcproj *.sln *.dat *.000001 *.require *.opt *.vcproj *.sln *.dat *.000001 *.require *.opt
...@@ -260,7 +264,7 @@ done ...@@ -260,7 +264,7 @@ done
# #
# Create project files for ndb # Create project files for ndb
# #
#make -C $SOURCE/storage/ndb windoze #make -C $SOURCE/storage/ndb windoze || true
# #
# Input directories to be copied recursively # Input directories to be copied recursively
...@@ -334,8 +338,17 @@ done ...@@ -334,8 +338,17 @@ done
# Fix some windows files to avoid compiler warnings # Fix some windows files to avoid compiler warnings
# #
./extra/replace std:: "" < $BASE/sql/sql_yacc.cpp | sed '/^ *switch (yytype)$/ { N; /\n *{$/ { N; /\n *default:$/ { N; /\n *break;$/ { N; /\n *}$/ d; };};};} ' > $BASE/sql/sql_yacc.cpp-new if [ -x extra/replace ] ; then
mv $BASE/sql/sql_yacc.cpp-new $BASE/sql/sql_yacc.cpp ./extra/replace std:: "" < $BASE/sql/sql_yacc.cpp | \
sed '/^ *switch (yytype)$/ { N; /\n *{$/ { N; /\n *default:$/ { N; /\n *break;$/ { N; /\n *}$/ d; };};};} ' \
> $BASE/sql/sql_yacc.cpp-new
mv $BASE/sql/sql_yacc.cpp-new $BASE/sql/sql_yacc.cpp
else
if [ "$SILENT" = "0" ] ; then
echo 'WARNING: "extra/replace" not built, can not filter "sql_yacc.ccp"'
echo 'WARNING: to reduce the number of warnings when building'
fi
fi
# #
# Search the tree for plain text files and adapt the line end marker # Search the tree for plain text files and adapt the line end marker
...@@ -356,19 +369,23 @@ mv $BASE/README $BASE/README.txt ...@@ -356,19 +369,23 @@ mv $BASE/README $BASE/README.txt
# Clean up if we did this from a bk tree # Clean up if we did this from a bk tree
# #
if [ -d $BASE/SSL/SCCS ] find $BASE -type d \( -name SCCS -o -name .deps -o -name .libs \) -print0 | \
then xargs -0 rm -r -f
find $BASE/ -type d -name SCCS -printf " \"%p\"" | xargs rm -r -f
fi
find $BASE/ -type d -name .deps -printf " \"%p\"" | xargs rm -r -f
find $BASE/ -type d -name .libs -printf " \"%p\"" | xargs rm -r -f
rm -r -f "$BASE/mysql-test/var" rm -r -f "$BASE/mysql-test/var"
# #
# Initialize the initial data directory # Initialize the initial data directory
# #
if [ -f scripts/mysql_install_db ]; then if [ ! -f scripts/mysql_install_db ] ; then
if [ "$SILENT" = "0" ] ; then
echo 'WARNING: "scripts/mysql_install_db" is not built, can not initiate databases'
fi
elif [ ! -f extra/my_print_defaults ]; then
if [ "$SILENT" = "0" ] ; then
echo 'WARNING: "extra/my_print_defaults" is not built, can not initiate databases'
fi
else
print_debug "Initializing the 'data' directory" print_debug "Initializing the 'data' directory"
scripts/mysql_install_db --no-defaults --windows --datadir=$BASE/data scripts/mysql_install_db --no-defaults --windows --datadir=$BASE/data
if test "$?" = 1 if test "$?" = 1
...@@ -446,21 +463,15 @@ set_tarzip_options() ...@@ -446,21 +463,15 @@ set_tarzip_options()
if [ "$arg" = "tar" ]; then if [ "$arg" = "tar" ]; then
ZIPFILE1=gnutar ZIPFILE1=gnutar
ZIPFILE2=gtar ZIPFILE2=gtar
OPT=cvf OPT=cf
EXT=".tar" EXT=".tar"
NEED_COMPRESS=1 NEED_COMPRESS=1
if [ "$SILENT" = "1" ] ; then
OPT=cf
fi
else else
ZIPFILE1=zip ZIPFILE1=zip
ZIPFILE2="" ZIPFILE2=""
OPT="-r" OPT="-r -q"
EXT=".zip" EXT=".zip"
NEED_COMPRESS=0 NEED_COMPRESS=0
if [ "$SILENT" = "1" ] ; then
OPT="$OPT -q"
fi
fi fi
done done
} }
...@@ -521,4 +532,7 @@ fi ...@@ -521,4 +532,7 @@ fi
print_debug "Removing temporary directory" print_debug "Removing temporary directory"
rm -r -f $BASE rm -r -f $BASE
# No need to report anything if we got here
trap "" 0
# End of script # End of script
...@@ -20,7 +20,8 @@ dist-hook: ...@@ -20,7 +20,8 @@ dist-hook:
done done
windoze: windoze:
for i in `find . -name 'Makefile.am'`; do make -C `dirname $$i` windoze-dsp; done for i in `find . -name 'old_dirs' -prune -o -name 'Makefile.am' -print`; \
do make -C `dirname $$i` windoze-dsp; done
windoze-dsp: windoze-dsp:
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment